/**
 * TERMS AND CONDITIONS:
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.backup.zipsnap.ng.job.unit;

import java.util.ArrayList;
import java.util.List;

import com.backup.zipsnap.ng.job.unit.FileUnit;

/**
 * Represent a slice content with all its attributes.
 */
public class SliceUnit
{
  public String checksum;
  public int snapshot = -1;
  public int volume = -1;
  public boolean isNew = false;
  public long size = 0;
  public List<FileUnit> files = new ArrayList<FileUnit>();
  public long crc = -1;
  public boolean isInvalid = false;
  public boolean isInZip = false;
  
  public SliceUnit(String checksum)
  {
    this.checksum = checksum;
  }
  
}


